%global pkgname alnuth

# We need gap-pkg-radiroot to run all of the tests, but it depends on this
# package to function at all.  Therefore, build without this to bootstrap on
# a new architecture.
%bcond_without radiroot

Name:           gap-pkg-%{pkgname}
Version:        3.0.0
Release:        7%{?dist}
Summary:        Algebraic number theory for GAP

License:        GPLv2+
URL:            http://www.icm.tu-bs.de/ag_algebra/software/Alnuth/
Source0:        http://www.icm.tu-bs.de/ag_algebra/software/Alnuth/%{pkgname}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-polycyclic
%if %{with radiroot}
BuildRequires:  gap-pkg-radiroot
%endif
BuildRequires:  pari-gp
BuildRequires:  tth

Requires:       gap-core
Requires:       gap-pkg-polycyclic
Requires:       pari-gp

%global pkgdir Alnuth-%{version}

%description
Alnuth is an extension for the computer algebra system GAP and forms
part of a standard installation.  The functionality of Alnuth lies in
ALgebraic NUmber THeory.  It provides an interface from GAP to certain
number theoretic functions from the computer algebra system PARI/GP.
Most computations with Alnuth rely on this interface.

%prep
%setup -q -n %{pkgdir}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/etc ../../etc
ln -s %{_gap_dir}/doc ../../doc
pushd doc
./make_doc
popd
rm -f ../../{doc,etc}

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgdir} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgdir}/{doc/make_doc,CHANGES,GPL,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgdir}/doc/*.{aux,bbl,blg,idx,ilg,ind,log,toc}

%if %{with radiroot}
%check
# Change from obsolete test method to modern method
sed -e '/ReadTest/s/);/, rec( compareFunction := "uptowhitespace" )&/' \
    -e 's/ReadTest/Test/' \
    -i tst/testall.g

# Tests that depend on RadiRoot will fail during a bootstrap build.
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
grep -Fvq fail log
rm -f log
%endif

%files
%doc CHANGES README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgdir}/doc
%docdir %{_gap_dir}/pkg/%{pkgdir}/htm
%{_gap_dir}/pkg/%{pkgdir}/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 3.0.0-6
- Rebuild for gap 4.8.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov  6 2015 Jerry James <loganjerry@gmail.com> - 3.0.0-4
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source
- Turn test failures into build failures

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  2 2015 Jerry James <loganjerry@gmail.com> - 3.0.0-2
- Rebuild with radiroot

* Wed Mar 25 2015 Jerry James <loganjerry@gmail.com> - 3.0.0-1
- Initial RPM (bz 1205905)
